/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLImageElement_H__
#define __GdomHTMLImageElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLImageElement GdomHTMLImageElement;
typedef struct _GdomHTMLImageElementClass GdomHTMLImageElementClass;


#define GDOM_TYPE_HTML_IMAGE_ELEMENT            (gdom_html_image_element_get_type())
#define GDOM_HTML_IMAGE_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTML_IMAGE_ELEMENT, GdomHTMLImageElement))
#define GDOM_HTML_IMAGE_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTML_IMAGE_ELEMENT, GdomHTMLImageElement)Class)
#define GDOM_IS_HTML_IMAGE_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTML_IMAGE_ELEMENT))
#define GDOM_IS_HTML_IMAGE_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTML_IMAGE_ELEMENT))
#define GDOM_HTML_IMAGE_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTML_IMAGE_ELEMENT, GdomHTMLImageElementClass))

typedef struct _GdomHTMLImageElementPrivate GdomHTMLImageElementPrivate;

struct _GdomHTMLImageElement {
    GdomHTMLElement parent_instance;
    GdomHTMLImageElementPrivate *priv;
};

struct _GdomHTMLImageElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_html_image_element_get_type (void);

G_END_DECLS

#endif /* __GdomHTMLImageElement_H__ */
